Package net.snowflake.client.core.auth.oauth

## Interface AccessTokenProvider

All Known Implementing Classes:
  `OAuthAccessTokenForRefreshTokenProvider`, `OAuthAuthorizationCodeAccessTokenProvider`, `OAuthClientCredentialsAccessTokenProvider`

    @SnowflakeJdbcInternalApi
    public interface AccessTokenProvider

### Method Summary

All Methods Instance Methods Abstract Methods
`TokenResponseDTO` `getAccessToken​(SFLoginInput loginInput)`

### Method Detail

#### getAccessToken

    TokenResponseDTO getAccessToken​(SFLoginInput loginInput)
                             throws SFException

Throws:
  `SFException`